Bullet Collision Detection & Physics Library: WriteOutConstraintIndicesLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WriteOutConstraintIndicesLoop Struct Reference
Inheritance diagram for WriteOutConstraintIndicesLoop:
[legend]
Collaboration diagram for WriteOutConstraintIndicesLoop:
[legend]

## Public Member Functions
| WriteOutConstraintIndicesLoop (btBatchedConstraints *bc, const int *constraintBatchIds, int numConstraints, int *constraintIdPerBatch, int maxNumBatchesPerPhase)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btBatchedConstraints * | m_batchedConstraints
const int * | m_constraintBatchIds
int | m_numConstraints
int * | m_constraintIdPerBatch
int | m_maxNumBatchesPerPhase

## Detailed Description

Definition at line 459 of file btBatchedConstraints.cpp.

## Constructor & Destructor Documentation

## ◆ WriteOutConstraintIndicesLoop()

WriteOutConstraintIndicesLoop::WriteOutConstraintIndicesLoop | ( | btBatchedConstraints * | bc,
|  | const int * | constraintBatchIds,
|  | int | numConstraints,
|  | int * | constraintIdPerBatch,
|  | int | maxNumBatchesPerPhase
| ) |  |
| inline

Definition at line 467 of file btBatchedConstraints.cpp.

## Member Function Documentation

## ◆ forLoop()

void WriteOutConstraintIndicesLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 475 of file btBatchedConstraints.cpp.

## Member Data Documentation

## ◆ m_batchedConstraints

btBatchedConstraints* WriteOutConstraintIndicesLoop::m_batchedConstraints

Definition at line 461 of file btBatchedConstraints.cpp.

## ◆ m_constraintBatchIds

const int* WriteOutConstraintIndicesLoop::m_constraintBatchIds

Definition at line 462 of file btBatchedConstraints.cpp.

## ◆ m_constraintIdPerBatch

int* WriteOutConstraintIndicesLoop::m_constraintIdPerBatch

Definition at line 464 of file btBatchedConstraints.cpp.

## ◆ m_maxNumBatchesPerPhase

int WriteOutConstraintIndicesLoop::m_maxNumBatchesPerPhase

Definition at line 465 of file btBatchedConstraints.cpp.

## ◆ m_numConstraints

int WriteOutConstraintIndicesLoop::m_numConstraints

Definition at line 463 of file btBatchedConstraints.cpp.

The documentation for this struct was generated from the following file:

- btBatchedConstraints.cpp